com.impinj.stp

## Interface StpApi.ResponseOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.Response, StpApi.Response.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.ResponseOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AddLicenseKeyResp` | `getAddLicenseKey()`
    `StpApi.AddLicenseKeyRespOrBuilder` | `getAddLicenseKeyOrBuilder()`
    `StpApi.AddOrderedListEntriesResp` | `getAddOrderedListEntries()`
    `StpApi.AddOrderedListEntriesRespOrBuilder` | `getAddOrderedListEntriesOrBuilder()`
    `StpApi.AddSerializationJobResp` | `getAddSerializationJob()`
    `StpApi.AddSerializationJobRespOrBuilder` | `getAddSerializationJobOrBuilder()`
    `StpApi.AddTIDTableEntriesResp` | `getAddTidTableEntries()`
    `StpApi.AddTIDTableEntriesRespOrBuilder` | `getAddTidTableEntriesOrBuilder()`
    `StpApi.ConnectResp` | `getConnect()` ************************************************************ **************************
    `StpApi.ConnectRespOrBuilder` | `getConnectOrBuilder()` ************************************************************ **************************
    `StpApi.DisengageResp` | `getDisengage()`
    `StpApi.DisengageRespOrBuilder` | `getDisengageOrBuilder()`
    `StpApi.EngageResp` | `getEngage()`
    `StpApi.EngageRespOrBuilder` | `getEngageOrBuilder()`
    `StpApi.GetAntennaConfigResp` | `getGetAntennaConfig()`
    `StpApi.GetAntennaConfigRespOrBuilder` | `getGetAntennaConfigOrBuilder()`
    `StpApi.GetDeviceConfigResp` | `getGetDeviceConfig()`
    `StpApi.GetDeviceConfigRespOrBuilder` | `getGetDeviceConfigOrBuilder()`
    `StpApi.GetDeviceStateResp` | `getGetDeviceState()`
    `StpApi.GetDeviceStateRespOrBuilder` | `getGetDeviceStateOrBuilder()`
    `StpApi.GetOperationDataResp` | `getGetOperationData()`
    `StpApi.GetOperationDataRespOrBuilder` | `getGetOperationDataOrBuilder()`
    `StpApi.GetVersionsReaderResp` | `getGetVersionsReader()`
    `StpApi.GetVersionsReaderRespOrBuilder` | `getGetVersionsReaderOrBuilder()`
    `StpApi.InvalidResp` | `getInvalid()`
    `StpApi.InvalidRespOrBuilder` | `getInvalidOrBuilder()`
    `StpApi.RemoveSerializationJobResp` | `getRemoveSerializationJob()`
    `StpApi.RemoveSerializationJobRespOrBuilder` | `getRemoveSerializationJobOrBuilder()`
    `StpApi.SetAntennaConfigResp` | `getSetAntennaConfig()`
    `StpApi.SetAntennaConfigRespOrBuilder` | `getSetAntennaConfigOrBuilder()`
    `StpApi.SetCartonContentsJobResp` | `getSetCartonContentsJob()`
    `StpApi.SetCartonContentsJobRespOrBuilder` | `getSetCartonContentsJobOrBuilder()`
    `StpApi.SetDeviceConfigResp` | `getSetDeviceConfig()`
    `StpApi.SetDeviceConfigRespOrBuilder` | `getSetDeviceConfigOrBuilder()`
    `StpApi.SetInventoryJobResp` | `getSetInventoryJob()`
    `StpApi.SetInventoryJobRespOrBuilder` | `getSetInventoryJobOrBuilder()`
    `StpApi.SetOperationResultGPOResp` | `getSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.SetOperationResultGPORespOrBuilder` | `getSetOperationResultGpoOrBuilder()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.StartResp` | `getStart()`
    `StpApi.StartRespOrBuilder` | `getStartOrBuilder()`
    `StpApi.StopResp` | `getStop()`
    `StpApi.StopRespOrBuilder` | `getStopOrBuilder()`
    `boolean` | `hasAddLicenseKey()`
    `boolean` | `hasAddOrderedListEntries()`
    `boolean` | `hasAddSerializationJob()`
    `boolean` | `hasAddTidTableEntries()`
    `boolean` | `hasConnect()` ************************************************************ **************************
    `boolean` | `hasDisengage()`
    `boolean` | `hasEngage()`
    `boolean` | `hasGetAntennaConfig()`
    `boolean` | `hasGetDeviceConfig()`
    `boolean` | `hasGetDeviceState()`
    `boolean` | `hasGetOperationData()`
    `boolean` | `hasGetVersionsReader()`
    `boolean` | `hasInvalid()`
    `boolean` | `hasRemoveSerializationJob()`
    `boolean` | `hasSetAntennaConfig()`
    `boolean` | `hasSetCartonContentsJob()`
    `boolean` | `hasSetDeviceConfig()`
    `boolean` | `hasSetInventoryJob()`
    `boolean` | `hasSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `boolean` | `hasStart()`
    `boolean` | `hasStop()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasConnect

          boolean hasConnect()

      ************************************************************ **************************

    - #### getConnect

          StpApi.ConnectResp getConnect()

      ************************************************************ **************************

    - #### getConnectOrBuilder

          StpApi.ConnectRespOrBuilder getConnectOrBuilder()

      ************************************************************ **************************

    - #### hasGetVersionsReader

          boolean hasGetVersionsReader()

    - #### getGetVersionsReader

          StpApi.GetVersionsReaderResp getGetVersionsReader()

    - #### getGetVersionsReaderOrBuilder

          StpApi.GetVersionsReaderRespOrBuilder getGetVersionsReaderOrBuilder()

    - #### hasStart

          boolean hasStart()

    - #### getStart

          StpApi.StartResp getStart()

    - #### getStartOrBuilder

          StpApi.StartRespOrBuilder getStartOrBuilder()

    - #### hasStop

          boolean hasStop()

    - #### getStop

          StpApi.StopResp getStop()

    - #### getStopOrBuilder

          StpApi.StopRespOrBuilder getStopOrBuilder()

    - #### hasInvalid

          boolean hasInvalid()

    - #### getInvalid

          StpApi.InvalidResp getInvalid()

    - #### getInvalidOrBuilder

          StpApi.InvalidRespOrBuilder getInvalidOrBuilder()

    - #### hasGetDeviceState

          boolean hasGetDeviceState()

    - #### getGetDeviceState

          StpApi.GetDeviceStateResp getGetDeviceState()

    - #### getGetDeviceStateOrBuilder

          StpApi.GetDeviceStateRespOrBuilder getGetDeviceStateOrBuilder()

    - #### hasSetDeviceConfig

          boolean hasSetDeviceConfig()

    - #### getSetDeviceConfig

          StpApi.SetDeviceConfigResp getSetDeviceConfig()

    - #### getSetDeviceConfigOrBuilder

          StpApi.SetDeviceConfigRespOrBuilder getSetDeviceConfigOrBuilder()

    - #### hasGetDeviceConfig

          boolean hasGetDeviceConfig()

    - #### getGetDeviceConfig

          StpApi.GetDeviceConfigResp getGetDeviceConfig()

    - #### getGetDeviceConfigOrBuilder

          StpApi.GetDeviceConfigRespOrBuilder getGetDeviceConfigOrBuilder()

    - #### hasSetAntennaConfig

          boolean hasSetAntennaConfig()

    - #### getSetAntennaConfig

          StpApi.SetAntennaConfigResp getSetAntennaConfig()

    - #### getSetAntennaConfigOrBuilder

          StpApi.SetAntennaConfigRespOrBuilder getSetAntennaConfigOrBuilder()

    - #### hasGetAntennaConfig

          boolean hasGetAntennaConfig()

    - #### getGetAntennaConfig

          StpApi.GetAntennaConfigResp getGetAntennaConfig()

    - #### getGetAntennaConfigOrBuilder

          StpApi.GetAntennaConfigRespOrBuilder getGetAntennaConfigOrBuilder()

    - #### hasEngage

          boolean hasEngage()

    - #### getEngage

          StpApi.EngageResp getEngage()

    - #### getEngageOrBuilder

          StpApi.EngageRespOrBuilder getEngageOrBuilder()

    - #### hasDisengage

          boolean hasDisengage()

    - #### getDisengage

          StpApi.DisengageResp getDisengage()

    - #### getDisengageOrBuilder

          StpApi.DisengageRespOrBuilder getDisengageOrBuilder()

    - #### hasSetOperationResultGpo

          boolean hasSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### getSetOperationResultGpo

          StpApi.SetOperationResultGPOResp getSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### getSetOperationResultGpoOrBuilder

          StpApi.SetOperationResultGPORespOrBuilder getSetOperationResultGpoOrBuilder()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;

    - #### hasAddSerializationJob

          boolean hasAddSerializationJob()

    - #### getAddSerializationJob

          StpApi.AddSerializationJobResp getAddSerializationJob()

    - #### getAddSerializationJobOrBuilder

          StpApi.AddSerializationJobRespOrBuilder getAddSerializationJobOrBuilder()

    - #### hasRemoveSerializationJob

          boolean hasRemoveSerializationJob()

    - #### getRemoveSerializationJob

          StpApi.RemoveSerializationJobResp getRemoveSerializationJob()

    - #### getRemoveSerializationJobOrBuilder

          StpApi.RemoveSerializationJobRespOrBuilder getRemoveSerializationJobOrBuilder()

    - #### hasAddTidTableEntries

          boolean hasAddTidTableEntries()

    - #### getAddTidTableEntries

          StpApi.AddTIDTableEntriesResp getAddTidTableEntries()

    - #### getAddTidTableEntriesOrBuilder

          StpApi.AddTIDTableEntriesRespOrBuilder getAddTidTableEntriesOrBuilder()

    - #### hasAddOrderedListEntries

          boolean hasAddOrderedListEntries()

    - #### getAddOrderedListEntries

          StpApi.AddOrderedListEntriesResp getAddOrderedListEntries()

    - #### getAddOrderedListEntriesOrBuilder

          StpApi.AddOrderedListEntriesRespOrBuilder getAddOrderedListEntriesOrBuilder()

    - #### hasSetInventoryJob

          boolean hasSetInventoryJob()

    - #### getSetInventoryJob

          StpApi.SetInventoryJobResp getSetInventoryJob()

    - #### getSetInventoryJobOrBuilder

          StpApi.SetInventoryJobRespOrBuilder getSetInventoryJobOrBuilder()

    - #### hasSetCartonContentsJob

          boolean hasSetCartonContentsJob()

    - #### getSetCartonContentsJob

          StpApi.SetCartonContentsJobResp getSetCartonContentsJob()

    - #### getSetCartonContentsJobOrBuilder

          StpApi.SetCartonContentsJobRespOrBuilder getSetCartonContentsJobOrBuilder()

    - #### hasGetOperationData

          boolean hasGetOperationData()

    - #### getGetOperationData

          StpApi.GetOperationDataResp getGetOperationData()

    - #### getGetOperationDataOrBuilder

          StpApi.GetOperationDataRespOrBuilder getGetOperationDataOrBuilder()

    - #### hasAddLicenseKey

          boolean hasAddLicenseKey()

    - #### getAddLicenseKey

          StpApi.AddLicenseKeyResp getAddLicenseKey()

    - #### getAddLicenseKeyOrBuilder

          StpApi.AddLicenseKeyRespOrBuilder getAddLicenseKeyOrBuilder()